Bug 216988 - problem with openmp - gettext-0.16 doesn't build on ia64
problem with openmp - gettext-0.16 doesn't build on ia64
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Depends On:
  Show dependency treegraph
Reported: 2006-11-22 19:48 EST by Jens Petersen
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version: 4.1.1-41
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-24 08:23:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
GNU Compiler Collection 29955 None None None Never

  None (edit)
Description Jens Petersen 2006-11-22 19:48:42 EST
Description of problem:
When building gettext-0.16 for Fedora Core development, I got:

gcc -DLOCALEDIR=\"/usr/share/locale\" -DBISON_LOCALEDIR=\"/usr/share/locale\"
-DLOCALE_ALIAS_PATH=\"/usr/share/locale\" -DUSEJEXE=1
-DGETTEXTJAR=\"/usr/share/gettext/gettext.jar\" -DLIBDIR=\"/usr/lib\"
-DPROJECTSDIR=\"/usr/share/gettext/projects\" -DHAVE_CONFIG_H -I. -I..  -I. -I.
-I.. -I.. -I../libgrep -I../libuniname -I../gnulib-lib -I../gnulib-lib -I../intl
-I../../gettext-runtime/intl -DINSTALLDIR=\"/usr/bin\"   -fopenmp -O2 -g -pipe
-Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector
--param=ssp-buffer-size=4 -c -o msgmerge-msgmerge.o `test -f 'msgmerge.c' ||
echo './'`msgmerge.c
msgmerge.c: In function 'match_domain.omp_fn.0':
msgmerge.c:1137: internal compiler error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.
{standard input}: Assembler messages:
{standard input}:12586: Warning: partial line at end of file ignored
Preprocessed source stored into /tmp/ccOihgWY.out file, please attach this to
your bugreport.
make[4]: *** [msgmerge-msgmerge.o] Error 1
Comment 2 Jakub Jelinek 2006-11-23 01:50:17 EST
Please attach /tmp/ccOihgWY.out it created (or whatever it creates next time
when you try to build it).
Comment 3 Jens Petersen 2006-11-23 02:17:31 EST
Unfortunately I don't have access to an ia64 running rawhide or the
buildsystem buildroot.
Comment 6 Jens Petersen 2006-11-26 19:29:03 EST
Thanks I successfully rebuilt gettext. :)

Note You need to log in before you can comment on or make changes to this bug.